<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  	<title>Doozer - Test Specs</title>
  	<style>
      BODY { font-family: "Segoe UI", "Gill Sans", Optima, Helvetica, Tahoma, Arial, Sans-Serif; font-size: 15px; padding: 20px 100px; }
  	  P, TD, LI, PRE, CODE { color: gray; }
  	  PRE { background-color: #F0F0F0; padding: 15px; }
  	  #header * { margin: 0; padding: 0; }
  	  #header h1 { color: navy; }
  	  #navigation { margin-top: 15px; background: #E0E0E0; padding: 5px 15px; font-weight: bolder; text-align: center; }
  	  #navigation A, #navigation SPAN { margin-right: 20px; text-shadow: 3px 3px 4px #999; }
  	  #navigation A { color: black; }
  	  #navigation A:hover { color: navy; }
  	  #navigation SPAN { color: white; }
  	  #content A { color: navy; }
  	  #content A:hover { color: blue; }
  	  #footer { margin: 15px 0px; }
  	  #footer A { color: gray; }
  	  #footer #info { color: gray; float:right; }
  	</style>
  </head>
  <body>
    <div id="container">
      <div id="header">
        <h1>Doozer</h1>
        <h4>Simple Fixture Generator</h4>
      </div>
      <div id="navigation">
        
          
            <a href="example.html">Example</a>
          
        
          
            <a href="fixture-comparison.html">Fixture Comparison</a>
          
        
          
            <a href="index.html">Index</a>
          
        
          
            <span>Test Specs</span>
          
        
      </div>
      <div id="content">
        <h2>Builder should:</h2>

<ul>
<li>generate output yaml string</li>
<li>generate yaml fixture files</li>
</ul>

<h2>Definition should:</h2>

<ul>
<li>generate fixture definition data structure</li>
<li>generate helper methods</li>
<li>return next object id</li>
<li>add objects to data pool from named arguments</li>
<li>add objects to data pool from positional arguments</li>
<li>add default values to data objects</li>
<li>allow multiple updates to a single named fixture</li>
<li>be able to override the target AR class</li>
<li>support block association definition</li>
<li>correctly nest fixtures</li>
<li>allow macro aliases</li>
<li>allow alternate block syntax</li>
<li>allow <code>belongs_to</code> relationships</li>
<li>readme example</li>
</ul>
      </div>
      <div id="footer">
        <div id="info">
          Created by <a href="http://www.mattmccray.com">M@ McCray</a>
        </div>
        <a href="#">^ back to the top</a>
      </div>
    </div>
  </body>
</html>


